select distinct s.SelectionID into #tempSelections from ISZL.T_DISP_DIRECT_LINK ddl
join ISZL.T_SELECTION s on ddl.Selection = s.SelectionID

delete from ISZL.T_SELECTION where SelectionID not in (select * from #tempSelections)

drop table #tempSelections